<?php
/**
 * Displays the result pages settings tab
 *
 * @author   Picocodes
 * @package  @package Ajax Live Search
 * @version  1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
/**
 * Main class to display the Results page settings tab
 *
 */

class Als_Settings_results extends Als_Settings_Page {

	/**
	 * Constructor.
	 */
	public function __construct() {

		$this->id    = 'results';
		$this->label = __( 'Result Pages', 'als' );

		add_filter( 'als_settings_tabs_array', array( $this, 'add_settings_page' ), 20 );
		add_action( 'als_settings_' . $this->id, array( $this, 'output' ) );
		add_action( 'als_settings_save_' . $this->id, array( $this, 'save' ) );
	}

	/**
	 * Get settings array.
	 *
	 * @return array
	 */
	public function get_settings() {


		$settings = apply_filters( 'als_results_settings', array(

			array( 'title' => __( 'Result Page Options', 'als' ), 'type' => 'title', 'desc' => '', 'id' => 'results_options' ),
			
			array(
				'type' 	=> 'sectionend',
				'id' 	=> 'ercerpt_options'
			),
			
			array( 'title' => __( 'Result Page Excerts', 'als' ), 'type' => 'title', 'desc' => '', 'id' => 'ercerpt_options' ),
			
			array(
				'title'    => __( 'Highlight search terms', 'als' ),
				'id'       => 'als_highlight_term',
				'css'      => '',
				'default'  => 'checked',
				'type'     => 'checkbox',
				'desc_tip' =>  true,
			),
			
			array(
				'title'    => __( 'Excerpt Length', 'als' ),
				'id'       => 'als_excerpt_length',
				'css'      => '',
				'default'  => '400 characters',
				'type'     => 'text',
				'desc_tip' =>  true,
			),

			array(
					'type' 	=> 'sectionend',
					'id' 	=> 'ercerpt_options'
				)
			
		) );

		return apply_filters( 'als_get_settings_' . $this->id, $settings );
	}

	/**
	 * Save settings.
	 */
	public function save() {
		$settings = $this->get_settings();

		Als_Admin_Settings::save_fields( $settings );
	}

}

return new Als_Settings_results();
